> ## Documentation Index
> Fetch the complete documentation index at: https://docs.systems-echo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# get wallet infos



## OpenAPI

````yaml /openapi.json post /api/v1/extension/wallets/info
openapi: 3.0.1
info:
  title: echo/extension/v1/extension.proto
  version: version not set
servers:
  - url: /
security: []
tags:
  - name: ExtensionService
paths:
  /api/v1/extension/wallets/info:
    post:
      tags:
        - ExtensionService
      summary: get wallet infos
      operationId: ExtensionService_WalletInfosExtension
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/v1WalletInfosExtensionRequest'
        required: true
      responses:
        '200':
          description: A successful response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1WalletInfosExtensionResponse'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/rpcStatus'
components:
  schemas:
    v1WalletInfosExtensionRequest:
      type: object
      properties:
        token:
          title: token is the extension token (auth token)
          type: string
        chain:
          $ref: '#/components/schemas/v1CHAIN'
        tokenAddress:
          title: |-
            optional token_address to get balance for
            if not set, native balance will be returned
          type: string
    v1WalletInfosExtensionResponse:
      type: object
      properties:
        wallets:
          type: array
          items:
            $ref: '#/components/schemas/v1WalletInfoExtension'
    rpcStatus:
      type: object
      properties:
        code:
          type: integer
          format: int32
        message:
          type: string
        details:
          type: array
          items:
            $ref: '#/components/schemas/protobufAny'
    v1CHAIN:
      type: string
      default: CHAIN_UNSPECIFIED
      enum:
        - CHAIN_UNSPECIFIED
        - CHAIN_SOL
        - CHAIN_ETH
        - CHAIN_BSC
        - CHAIN_BASE
        - CHAIN_ROBINHOOD
    v1WalletInfoExtension:
      type: object
      properties:
        walletId:
          title: wallet_id is the unique identifier of the wallet
          type: string
        chain:
          $ref: '#/components/schemas/v1CHAIN'
        address:
          title: address is the wallet address
          type: string
        name:
          title: name is a name of the wallet
          type: string
        balance:
          title: balance is the formatted balance of the wallet
          type: string
        isPrimary:
          title: is_primary indicates if this is the primary wallet
          type: boolean
        upgraded:
          title: upgraded indicates if the wallet has been upgraded
          type: boolean
        upgraded2:
          title: >-
            upgraded2 indicates if the wallet has been upgraded to the new
            format
          type: boolean
    protobufAny:
      type: object
      properties:
        '@type':
          type: string
      additionalProperties:
        type: object

````